Subject: Re: [ippm] WG Last Call: draft-ietf-ippm-initial-registry & draft-ietf-ippm-metric-registry

From: tom petch <[email-masked]>
Date: Fri, 1 Mar 2019 17:17:35 +0000

Tommy

My take is that it is editing that is needed to make the content more
readily accessible so I am unlikely to review it any more unless and
until I see a revised I-D.

Tom Petch

----- Original Message -----
From: "Tommy Pauly" <tpauly=[email-masked]>
Sent: Thursday, February 21, 2019 10:44 PM

Hi IPPM,

The chairs have decided to extend our WG Last Call period for the
metrics registry through to our upcoming meeting in Prague. Please
continue providing feedback and review on these, and we’ll allocate time
in Prague to discuss and resolve the points that have been raised.

Thanks!
Tommy

> On Feb 7, 2019, at 8:22 AM, Tommy Pauly
<tpauly=[email-masked]> wrote:
>
> Hello IPPM,
>
> We haven't received much feedback to the list on the metrics registry
document. Please do take a look at the current revisions of the
documents, and provide your opinion on whether or not the documents are
ready to progress!
>
> Best,
> Tommy
>
>> On Jan 10, 2019, at 8:59 AM, Tommy Pauly <[email-masked]
<mailto:[email-masked]>> wrote:
>>
>> Hello IPPM,
>>
>> This email starts our working group last call for the IPPM
performance metrics registry, and the corresponding initial set of
registry entries. The authors have indicated that they believe the
documents are sufficiently mature and complete to go ahead. You can find
the details on the documents here:
>>
>> https://datatracker.ietf.org/doc/draft-ietf-ippm-metric-registry/
<https://datatracker.ietf.org/doc/draft-ietf-ippm-metric-registry/>
>> https://datatracker.ietf.org/doc/draft-ietf-ippm-initial-registry/
<https://datatracker.ietf.org/doc/draft-ietf-ippm-initial-registry/>
>>
>> Since these are quite large documents, we'll be doing an extended
adoption call, for several weeks, to give everyone a chance to
thoroughly read the documents. Please provide your feedback by Friday,
February 8, 2019.
>>
>> Please send your review comments to [email-masked]
<mailto:[email-masked]>, indicating whether you believe the draft is
ready to send up to the IESG and if not, why not.
>>
>> Best,
>> Tommy (as IPPM co-chair)
>
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm

------------------------------------------------------------------------
--------

> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm
>

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Sun, 3 Mar 2019 19:56:25 +0000

Tom, please see preliminary replies below.

I think some more discussion will help.
This pair of drafts is already complex in the
areas where IPPM has expertise, perhaps we can
accomplish some of our goals in different ways.
 
Al

> -----Original Message-----
> From: tom petch [mailto:[email-masked]]
> Sent: Friday, February 15, 2019 8:05 AM
> To: MORTON, ALFRED C (AL) <[email-masked]>; [email-masked]; Tommy
> Pauly <tpauly=[email-masked]>
> Cc: [email-masked]; draft-ietf-ippm-metric-
> [email-masked]
> Subject: Re: [ippm] WG Last Call: draft-ietf-ippm-initial-registry &
> draft-ietf-ippm-metric-registry
> 
> Al
> 
> To be more concrete:
> 
> The IANA website is two levels, and the terminology for some years now
> has been Group and Registry.  A well chosed Group name makes the data
> easy to find (many of the current Group names are not well chosen:-).
> 
> So, I imagine you want to create a new Group but the word Group is not
> used in the I-D.  I see several candidates for a Group name
> Registry for Performance Metrics
> Performance Metric Registry
> Performance Metrics Registry
> New Performance Metrics Registry
> which seem to used interchangeably - perhaps not such a good idea for an
> I-D.  And they all use Registry which seems inappropriate for a Group so
> perhaps the Group name is something else.
[acm] 
The Group could be Performance Metrics, and the registry containing the 
registered metrics is the Performance Metrics Registry. 
New Performance Metrics Registry is a section title in the IANA section.

> 
> Dale references RFC6924 but I would disagree with him on that.   Calling
> urn: the first level, ietf: the second level, then you are creating a
> new third level.  RFC6924 created a registry of existing third levels
> but I see no template to use there.  RFC2648 created the second level
> but, reading it, it is as if the authors imagined that they were
> creating all the third level that there would ever be.  Happily, the
> authors of RFC3553 used their common sense and created a suitable
> template in order to create a new third level; I would expect these I-Ds
> to be using something very similar for a new third level.
> 
> And as you create a fourth level, perf, I expect to see guidance on what
> needs to be provided for further fourth levels - or perhaps none are
> anticipated.
[acm] 
If we have a unique numerical ID for each registered metric, paired
with a unique Name determined according to a carefully constructed format 
with some extensibility:
https://tools.ietf.org/html/draft-ietf-ippm-metric-registry-17#section-7.1.2

what additional benefits do we gain when we create a new URN by appending
the Name to   urn:ietf:<metrics or param or ??> ? 

There seems to be some overlap between a unique name in the Performance 
Metrics Registry and a URN for the same Registered Metric,
and I think we should weigh the value of having both (or just the Name,
in a registry).

> 
> I struggle with
> The registration procedures for the
>    new "perf" URN sub-namespace are Expert Review or IETF Standards
>    Action
[acm] 
We believe that the Registry can be populated with metrics from 
other SDOs (BBF) or organizations. Reps from BBF were very insistent
on this possibility, and we've also heard from other orgs who are
using the registry format, and may wish to make some of their 
private metrics part of the public Performance Metrics Registry
someday. So, metrics and their names can come from anywhere,
and we have these two possibilities.

> 
> The latter to me means
>       RFC publication, IETF Stream, Standards Track or BCP only.
> while the former I interpret as requiring much less.
> 
> I also struggle with
> 
> Abstract
> 
>    This memo defines the Initial Entries for the Performance Metrics
>    Registry.  This version includes:
> 
>    * removed sections which only contained examples, or a blank outine
>    for new metric entries.
> 
>    * removed remaining comments (did not require action).
> 
[acm] 
Agree, this is a placeholder for something more descriptive now that we 
know what metrics will be in the initial contents, and won't be taking 
the shortcut of describing changes in the abstract (so it is 
communicated to the working group with the I-D announcement).
> 
> So, the I-Ds contain a lot of technical detail but it is IMHO not yet
> tidy enough to go forward.
> 
> Tom Petch
> 
> From: "MORTON, ALFRED C (AL)" <[email-masked]>
> Sent: Wednesday, February 13, 2019 1:05 PM
> 
> 
> Hi Tom,
> 
> During the five or more early reviews with IANA,
> no one has said "On your bike". The very kind IANA
> folks understand exactly what their responsibilities
> are in this matter. Several of the early reviews
> took place after RFC8126 was published. IANA guided
> the proposal for a new urn.
> 
> Al
> 
> 
> > -----Original Message-----
> > From: tom petch [mailto:[email-masked]]
> > Sent: Wednesday, February 13, 2019 5:11 AM
> > To: [email-masked]; Tommy Pauly <tpauly=[email-masked]>
> > Cc: [email-masked];
> draft-ietf-ippm-metric-
> > [email-masked]
> > Subject: Re: [ippm] WG Last Call: draft-ietf-ippm-initial-registry &
> > draft-ietf-ippm-metric-registry
> >
> > Sent: Thursday, February 07, 2019 4:22 PM
> >
> > > Hello IPPM,
> > >
> > I shall probably regret this but my opinion is a firm Not Ready.
> >
> > You are asking IANA to do what seems like an awful lot of work and
> > making it more work than I think you have reason to do so IMHO e.g.
> >
> > You are asking for urn: registrations but do not follow the procedure
> > for registering a new urn:
> >
> > You are asking for new somethings but do not use the terminology of
> > RFC8126
> >
> > In Initial Registry, your IANA Considerations say
> >    IANA is requested to populate The Performance Metric Registry
> defined
> >    in [I-D.ietf-ippm-metric-registry] with the values defined above.
> > which seems to be asking IANA to trawl through some 78 pages to find
> > some 24 references to IANA and try to understand what is being asked
> of
> > them,
> > while not using a template as is the custom.
> >
> > If I was IANA, I would say, 'On your bike'; but knowing how IANA love
> > rising to a challenge, they may well take it on - but if they do, I
> > expect
> > that the quality will suffer just because they are being asked
> > to do so much
> >
> > Tom Petch
> >
> > > Best,
> > > Tommy
> > >
> > > > On Jan 10, 2019, at 8:59 AM, Tommy Pauly <[email-masked]> wrote:
> > > >
> > > > Hello IPPM,
> > > >
> > > > https://urldefense.proofpoint.com/v2/url?u=https-
> > 3A__datatracker.ietf.org_doc_draft-2Dietf-2Dippm-2Dmetric-
> > 2Dregistry_&d=DwIFAw&c=LFYZ-
> > o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=Wm0u-
> >
> hwAAYtSx5qwchwEEnyOjHdNSzRNiXgkOA2W2y4&s=AbiRn6baGSjRECN51G7QSKCcxG5VZBV
> yg
> > GkWBHJ2GD0&e=
> > <https://urldefense.proofpoint.com/v2/url?u=https-
> > 3A__datatracker.ietf.org_doc_draft-2Dietf-2Dippm-2Dmetric-
> > 2Dregistry_&d=DwIFAw&c=LFYZ-
> > o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=Wm0u-
> >
> hwAAYtSx5qwchwEEnyOjHdNSzRNiXgkOA2W2y4&s=AbiRn6baGSjRECN51G7QSKCcxG5VZBV
> yg
> > GkWBHJ2GD0&e=>
> > > > https://urldefense.proofpoint.com/v2/url?u=https-
> > 3A__datatracker.ietf.org_doc_draft-2Dietf-2Dippm-2Dinitial-
> > 2Dregistry_&d=DwIFAw&c=LFYZ-
> > o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=Wm0u-
> >
> hwAAYtSx5qwchwEEnyOjHdNSzRNiXgkOA2W2y4&s=WTBWdz2_4Xd96ikAVC1fjDIfQKrK5gW
> Qc
> > 0wPVJ28Qvo&e=
> > <https://urldefense.proofpoint.com/v2/url?u=https-
> > 3A__datatracker.ietf.org_doc_draft-2Dietf-2Dippm-2Dinitial-
> > 2Dregistry_&d=DwIFAw&c=LFYZ-
> > o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=Wm0u-
> > hwAAYtSx5qwchwEEnyOjHdNSzRNiXgkOA2W2y4&s=WTBWdz2_4Xd96ikAVC1fjDIfQKrK5
> gWQc
> > 0wPVJ28Qvo&e=>
> > > >
> > > https://urldefense.proofpoint.com/v2/url?u=https-
> > 3A__www.ietf.org_mailman_listinfo_ippm&d=DwIFAw&c=LFYZ-
> > o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=Wm0u-
> >
> hwAAYtSx5qwchwEEnyOjHdNSzRNiXgkOA2W2y4&s=br9su24KnXra7yiyf2HRRIhyUXmDlef
> Gs
> > nuyprDmvqw&e=
> > >

---

From: Tommy Pauly <[email-masked]>
Date: Mon, 25 Mar 2019 23:33:52 +0100

To update those who weren't at the in-person meeting today, we've ended the last call for these documents with working group consensus and will be moving forward with the documents.

Thanks to everyone who reviewed and contributed!

Best,
Tommy

> On Feb 7, 2019, at 5:22 PM, Tommy Pauly <tpauly=[email-masked]> wrote:
> 
> Hello IPPM,
> 
> We haven't received much feedback to the list on the metrics registry document. Please do take a look at the current revisions of the documents, and provide your opinion on whether or not the documents are ready to progress!
> 
> Best,
> Tommy
> 
>> On Jan 10, 2019, at 8:59 AM, Tommy Pauly <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Hello IPPM,
>> 
>> This email starts our working group last call for the IPPM performance metrics registry, and the corresponding initial set of registry entries. The authors have indicated that they believe the documents are sufficiently mature and complete to go ahead. You can find the details on the documents here:
>> 
>> https://datatracker.ietf.org/doc/draft-ietf-ippm-metric-registry/ <https://datatracker.ietf.org/doc/draft-ietf-ippm-metric-registry/>
>> https://datatracker.ietf.org/doc/draft-ietf-ippm-initial-registry/ <https://datatracker.ietf.org/doc/draft-ietf-ippm-initial-registry/>
>> 
>> Since these are quite large documents, we'll be doing an extended adoption call, for several weeks, to give everyone a chance to thoroughly read the documents. Please provide your feedback by Friday, February 8, 2019.
>> 
>> Please send your review comments to [email-masked] <mailto:[email-masked]>, indicating whether you believe the draft is ready to send up to the IESG and if not, why not.
>> 
>> Best,
>> Tommy (as IPPM co-chair)
>